<?php
namespace NeurogenesisTheme\Core\Admin;

use NeurogenesisTheme\Core\Admin\Actions\Assets;
use NeurogenesisTheme\Core\Admin\Actions\OnboardingNoticeAjax;
use NeurogenesisTheme\Core\Admin\Actions\RatingNoticeAjax;
use NeurogenesisTheme\Core\Admin\Actions\RecommendedPluginAjax;
use NeurogenesisTheme\Structure\Menus;

/**
 * Application
 */
class Application {

	/**
	 * Admin initialization
	 *
	 * @return void
	 */
	public static function boot() {
		//activate/deactivate hooks
		// Integrate::run();

		//admin menus
		Menus::init();

		// $loader->add(Menus::class, 'init');

		//load the assets
		new Assets();
		new RecommendedPluginAjax();
		new OnboardingNoticeAjax();
		new RatingNoticeAjax();
	}

}
